%% Add topographical switch if required

if ~artoa.data.hasMember(artoaWorkspace, 'trajectoryOutput', 'showTopographicalLines')
    artoaWorkspace.trajectoryOutput.showTopographicalLines = false;
end

%% Add defaults for topographical lines if required
if ~artoa.data.hasMember(artoaConfig, 'defaults', 'topographicalLines')
    artoaConfig.defaults.topographicalLines = { ...
        -1000; ...
        -2000; ...
        -3000 ...
        };
end

%% Add defaults to workspace if required
if ~artoa.data.hasMember(artoaWorkspace, 'trajectoryOutput', 'topographicalLines')
    artoaWorkspace.trajectoryOutput.topographicalLines = artoaConfig.defaults.topographicalLines;
end