function [] = removeSoundsourceCombination(~, ~)
%REMOVESOUNDSOURCECOMBINATION Summary of this function goes here
%   Detailed explanation goes here


global artoaWorkspace;

%% Disable updating of track parameter
artoaWorkspace.trajectoryOutput.updateTrackParameterWindow = false;

if ~artoa.data.hasMember(artoaWorkspace, 'trackParameter', 'selectedSoundsourceCombinationRow')
    return;
end

%% Get selected row
selectedRow = artoaWorkspace.trackParameter.selectedSoundsourceCombinationRow;

%% Delete from workspace
artoaWorkspace.trackParameter.soundsourceCombinations(selectedRow, :) = [];

%% Update gui
artoa.controller.track.parameter.updateGui();
artoa.controller.track.trajectoryOutput.updateGui();


end

